//+------------------------------------------------------------------+
//|                                                  HLine Alert.mq4 |
//+------------------------------------------------------------------+
#property copyright "raff1410@o2.pl"

#property indicator_chart_window
extern string LineName="DOWN";
extern color LineColor=DarkOrange; 
extern int LineStyle=2;
extern int AlertPipRange=5;
extern bool   PushAlerts=false;
extern string AlertWav="alert.wav";

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();

      ObjectCreate(LineName, OBJ_HLINE, 0, 0, Bid);
      ObjectSet(LineName, OBJPROP_STYLE, LineStyle);
      ObjectSet(LineName, OBJPROP_COLOR, LineColor);
        
      double val =  ObjectGet( LineName, OBJPROP_PRICE1);
      if (Bid-AlertPipRange*Point <= val) 
      {
      PlaySound(AlertWav);
      //Alert(Symbol());
      if(PushAlerts == true)    { SendNotification(" Juanito "+ Symbol()); }
      }

//----
//----
   return(0);
  }
//+------------------------------------------------------------------+